spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/test
    driver-class-name: org.postgresql.Driver
    username: postgres
    password: root
  jpa:
    database-platform: "org.hibernate.dialect.PostgreSQLDialect" # Detected by Database-Enum
    generate-ddl: true
    hibernate:
      ddl-auto: update
    show-sql: true
    properties:
      javax:
        persistence:
          schema-generation:
            database:
              action: none
      hibernate:
        format_sql: true
        validator:
          apply_to_ddl: true
          check_nullability: true
        temp.use_jdbc_metadata_defaults: false